Add option to build this utility without a documentation.

For full documentation building are necessary utilities like
groff and ps2pdf. Full documentation can takes a lot of space.
So it can be disabled by overloading makefile variable WITHOUT_DOC.

Upstream-Status: Inappropriate [Other]
Workaround specific to our build system.

Signed-off-by: Andrej Valek <andrej.valek@siemens.com>

diff --git a/Makefile.in b/Makefile.in
index 9bdd8f1..a2b5494 100644
--- a/Makefile.in
+++ b/Makefile.in
@@ -141,6 +141,14 @@ GROFF = @GROFF@
 #
 SOELIM = @SOELIM@
 
+# Option to build this utility without building and installing the documentation.
+WITHOUT_DOC ?= 0
+ifeq ($(WITHOUT_DOC),0)
+	BUILD_DOC = all-doc
+	INST_DOC = install-doc
+	CLR_DOC = clean-doc
+endif
+
 # ---------------------------------------------------------
 # You should not need to change anything below this line.
 
@@ -4090,7 +4098,7 @@ bin/test_url_decode: $(test_url_decode_obj) .bin srecord/libsrecord.la
 	$(LIBTOOL) --mode=link --tag=CXX $(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ \
 		$(test_url_decode_obj) srecord/libsrecord.la $(LDFLAGS) $(LIBS)
 
-all: all-bin all-doc
+all: all-bin $(BUILD_DOC)
 
 all-bin: bin/srec_cat bin/srec_cmp bin/srec_info bin/test_arglex_ambiguous \
 		bin/test_crc16 bin/test_fletcher16 bin/test_gecos \
@@ -4156,7 +4164,7 @@ test_files = t0001a t0002a t0003a t0004a t0005a t0006a t0007a t0008a t0009a \
 sure: $(test_files)
 	@echo Passed All Tests
 
-clean: clean-bin clean-doc clean-misc clean-obj
+clean: clean-bin $(CLR_DOC) clean-misc clean-obj
 
 clean-bin:
 	rm -f bin/srec_cat bin/srec_cmp bin/srec_info bin/test_arglex_ambiguous
@@ -4443,7 +4451,7 @@ distclean-directories:
 	rm -rf test/fletcher16/.libs test/gecos/.libs test/hyphen/.libs
 	rm -rf test/url_decode/.libs
 
-install: install-bin install-doc install-include install-libdir install-man
+install: install-bin $(INST_DOC) install-include install-libdir install-man
 
 install-bin: $(bindir)/srec_cat $(bindir)/srec_cmp $(bindir)/srec_info
 
